<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddImeRouteFilterElementReq StructType
 * @subpackage Structs
 */
class AddImeRouteFilterElementReq extends APIRequest
{
    /**
     * The imeRouteFilterElement
     * @var XImeRouteFilterElement
     */
    public $imeRouteFilterElement;
    /**
     * Constructor method for AddImeRouteFilterElementReq
     * @uses AddImeRouteFilterElementReq::setImeRouteFilterElement()
     * @param XImeRouteFilterElement $imeRouteFilterElement
     */
    public function __construct(XImeRouteFilterElement $imeRouteFilterElement = null)
    {
        $this
            ->setImeRouteFilterElement($imeRouteFilterElement);
    }
    /**
     * Get imeRouteFilterElement value
     * @return XImeRouteFilterElement|null
     */
    public function getImeRouteFilterElement()
    {
        return $this->imeRouteFilterElement;
    }
    /**
     * Set imeRouteFilterElement value
     * @param XImeRouteFilterElement $imeRouteFilterElement
     * @return AddImeRouteFilterElementReq
     */
    public function setImeRouteFilterElement(XImeRouteFilterElement $imeRouteFilterElement = null)
    {
        $this->imeRouteFilterElement = $imeRouteFilterElement;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddImeRouteFilterElementReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
